clang-tools 10.0.0

Public Member Functions | Protected Member Functions | List of all members
clang::find_all_symbols::FindAllSymbols Class Reference

FindAllSymbols collects all classes, free standing functions and global variables with some extra information such as the path of the header file, the namespaces they are contained in, the type of variables and the parameter types of functions. More...

`#include <FindAllSymbols.h>`

Inheritance diagram for clang::find_all_symbols::FindAllSymbols:
[legend]
Collaboration diagram for clang::find_all_symbols::FindAllSymbols:
[legend]

## Public Member Functions
| FindAllSymbols (SymbolReporter *Reporter, HeaderMapCollector *Collector=nullptr)
void | registerMatchers (ast_matchers::MatchFinder *MatchFinder)
void | run (const ast_matchers::MatchFinder::MatchResult &result) override

## Protected Member Functions
void | onEndOfTranslationUnit () override

## Detailed Description

FindAllSymbols collects all classes, free standing functions and global variables with some extra information such as the path of the header file, the namespaces they are contained in, the type of variables and the parameter types of functions.

NOTE:

- Symbols declared in main files are not collected since they can not be included.
- Member functions are not collected because accessing them must go through the class. #include fixer only needs the class name to find headers.

Definition at line 34 of file FindAllSymbols.h.

## Constructor & Destructor Documentation

## ◆ FindAllSymbols()

clang::find_all_symbols::FindAllSymbols::FindAllSymbols | ( | SymbolReporter * | Reporter,
|  | HeaderMapCollector * | Collector = `nullptr`
| ) |  |
| inline explicit

Definition at line 36 of file FindAllSymbols.h.

References onEndOfTranslationUnit(), registerMatchers(), and run().

## Member Function Documentation

## ◆ onEndOfTranslationUnit()

void clang::find_all_symbols::FindAllSymbols::onEndOfTranslationUnit | ( |  | ) |
| override protected

Definition at line 259 of file FindAllSymbols.cpp.

References Filename.

Referenced by FindAllSymbols().

## ◆ registerMatchers()

void clang::find_all_symbols::FindAllSymbols::registerMatchers | ( | ast_matchers::MatchFinder * | MatchFinder | ) |

Definition at line 116 of file FindAllSymbols.cpp.

References clang::clangd::isExplicitTemplateSpecialization().

Referenced by FindAllSymbols(), and clang::find_all_symbols::FindAllSymbolsAction::FindAllSymbolsAction().

## ◆ run()

void clang::find_all_symbols::FindAllSymbols::run | ( | const ast_matchers::MatchFinder::MatchResult & | result | ) |
| override

Definition at line 237 of file FindAllSymbols.cpp.

Referenced by FindAllSymbols().

The documentation for this class was generated from the following files:

- FindAllSymbols.h
- FindAllSymbols.cpp